/* bot_NeonFun.h - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef _bot_NeonFun_h
#define _bot_NeonFun_h

#include "../../main.h"

void init_NeonFun(int type);
void free_NeonFun(int type);

struct uno_game;
struct fourwins_game;
struct bj_game;
struct ChanNode;
struct UserNode;

char* getSetting(struct UserNode *user, struct ChanNode *chan, const char *setting);
void setSetting(struct UserNode *user, struct ChanNode *chan, const char *setting, const char *value);
void uno_reply(struct uno_game *game, struct UserNode *user, const char *text, ...);
void fourwins_reply(struct fourwins_game *game, const char *text, ...);
void bj_reply(struct bj_game *game, struct UserNode *user, const char *text, ...);

#endif